Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162358 - directfb: suggested packaging improvements
Summary: directfb: suggested packaging improvements
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: directfb
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 08:21 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-25 12:49:31 UTC


Attachments (Terms of Use)
Suggested specfile patch (deleted)
2005-07-03 08:21 UTC, Ville Skyttä
no flags Details | Diff
Suggested specfile patch (deleted)
2005-07-03 08:24 UTC, Ville Skyttä
no flags Details | Diff
Suggested specfile patch (deleted)
2005-07-03 08:27 UTC, Ville Skyttä
no flags Details | Diff
New suggested patch (deleted)
2005-07-19 15:55 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-07-03 08:21:56 UTC
I'm not yet actually using DirectFB, but I soon will most likely be.  So I   
took  a look at the package, and made some improvements (IMO ;)).  See  
attached patch, changes:    
   
- License is LGPL, not GPL.   
- Build i830 driver.   
- Don't disable MMX/SSE, detected at runtime and used if available (AFAICT)  
- Include support for sysfs, video4linux2, and zlib.   
- Fix -devel dependencies. 
- Clean up installed -devel docs.   
- Don't build static libs.   
- Clean up unneeded %configure options.   
(-Could add --disable-dependency-tracking to %configure if you like.)   
   
About dropping static libs: it this is not a good idea and/or you don't want 
it, I think at least moving  the *.o and *.a files from various dirs  
below /usr/lib/directfb-0.9.22 to the -devel package.  (BTW, do you know why  
does it install *.o in the first place?)   
  
Let me know what you think of the above.  I can also commit this (or some of  
these) if you like.

Comment 1 Ville Skyttä 2005-07-03 08:21:57 UTC
Created attachment 116305 [details]
Suggested specfile patch

Comment 2 Ville Skyttä 2005-07-03 08:24:59 UTC
Created attachment 116306 [details]
Suggested specfile patch

Damn, wrong patch, here's the correct one.

Also, compared to the previous one, this does not use --enable-zlib (which just
seems to gzip screenshots on the fly; I guess that's probably not something
most people want).

Comment 3 Ville Skyttä 2005-07-03 08:27:17 UTC
Created attachment 116307 [details]
Suggested specfile patch

Crap, STILL the wrong patch.  Now, this is really the correct one.  Sorry about
the noise.

Comment 4 Ville Skyttä 2005-07-10 19:20:06 UTC
ping 

Comment 5 Ville Skyttä 2005-07-18 17:22:51 UTC
ping #2... Thomas, are you alive? 
 
I'll go ahead and commit this unless I hear objections this week. 

Comment 6 Thomas Vander Stichele 2005-07-19 11:22:57 UTC
I put in most of your changes and commited the current spec file without
actually tagging and requesting a build.

I put back enable-static and enable-shared an disable-maintainer-mode.

Per your suggestion I moved the .a and .o files to the devel packages.  I'm not
sure exactly why the .o files get installed, I'll see if I can figure that out.
 But I definately want the .a files there, since for embedded development often
linking everything in is preferred.

Let me know if you think this new version is ok (I also updated to a new
upstream release) and I'll tag and build.

Comment 7 Ville Skyttä 2005-07-19 15:55:22 UTC
Created attachment 116935 [details]
New suggested patch

Thanks, looks much better now.

Here's a couple of new and already submitted bits with clarifications, just in
case you weren't aware of some of them; feel free to cherry pick from here what
you find worth applying:

- Fixed Group tag of main package

- --disable-maintainer-mode and --enable-shared are the defaults, so removed

- Dropped --disable-avifile; the option no longer exists.

- Added --disable-dependency-tracking for slightly faster build, and slightly
more readable build output.

- Tuned spaces vs tabs in %build.

- And last, a pretty important one: fix directory ownerships in the main
package.

Comment 8 Thomas Vander Stichele 2005-07-21 15:06:02 UTC
the reason I keep disable-maintainer-mode and --enable-shared is because they
haven't been defaults in the past, and directfb's build setup does change a bit
between releases.

Comment 9 Hans de Goede 2005-11-25 10:34:31 UTC
working on this, assigning to me.


Comment 10 Thomas Vander Stichele 2005-11-25 12:07:35 UTC
Hi Hans,

uh, what's going on ?

Comment 11 Hans de Goede 2005-11-25 12:27:54 UTC
Because you did not respond (at all) to bug 168343, I asked at fedora-extras
mailing list if it was a good idea if I were to take over the maintainership of
directfb, see:
https://www.redhat.com/archives/fedora-extras-list/2005-November/msg01346.html

I got a reply which said to go ahead:
https://www.redhat.com/archives/fedora-extras-list/2005-November/msg01348.html

So I've been busy today putting all the improvements in this bug into the spec
files for both FC-4 and devel and to make life easier merge the specfiles. As a
result of this there is now a (identical) directfb-0.9.24-4 in both FC-4 and
devel CVS.

Unfortunatly the build fails al-weirdo for the FC-4 version on x86_64 I've had
strange build errors on x86_64 lately more often, so I believe this is a build
machine issue.

Anyways it seems that we have a problem here as directfb has 2 maintainers now,
are you ok with me taking over or do you want to keep maintaining it? If you
want to keep maintainig it I'll make you the owner of the bugzilla component
again, finish what I started (IOW directfb-0.9.24-4) and leave directfb up to you.


Comment 12 Hans de Goede 2005-11-25 12:49:31 UTC
directfb-0.9.24-4 should show up in extras within a day. Fixing this bug.



Note You need to log in before you can comment on or make changes to this bug.